Pages: [1]
  Print  
Author Topic: Meiva on 1.9+  (Read 1316 times)
Intangir
Global Moderator

Posts: 5134



WWW
« on: July 16, 2016, 02:37:23 pm »

meiva is on 1.9+ now

its technically 1.9.2 but you can actually connect with 1.9.4 or 1.10.2 also

on 1.10 though it seems like all of the chest are invisible (but can still be used)

also be careful using auto jump in the skylands because you can easily fall off Wink

extrahardmode was disabled because it was doing some weird things, most of its features have been replaced by custom tweaks though, but some additional monster challenges and debuffs will be gone

shopkeepers and chairs are also disabled until i can fix or replace them

voting rewards are also disabled for now (its broken too..)

you won't be able to travel to and from spaceport yet because the spaceport is still on 1.8 for now

« Last Edit: July 16, 2016, 02:46:30 pm by Intangir » Logged
Intangir
Global Moderator

Posts: 5134



WWW
« Reply #1 on: July 17, 2016, 03:56:31 am »

extrahardmode is back on

also optifine seems to fix the invisible chests thing if your using 1.10

Logged
Lynnarock
Public

Alias: Lord-Ragnarock
Alias: Lynnch51
Posts: 71


Arhemadan The Holy Pterodactyl God


« Reply #2 on: July 18, 2016, 03:10:19 am »

Awesome! Now I have a reason to get back on that world Smiley Two questions about the 1.10 move:

1. Being both 1.9 and 1.10-compatible, what do you expect to happen about 1.10-unique things, like the husk/stray mobs and bone/magma blocks?

2. Do you have an expected move period for the other worlds, or will I just have to be patient? Wink

Once again, thanks for keeping this server fun and fresh! Smiley
Logged

BRAAAAAAK!
Intangir
Global Moderator

Posts: 5134



WWW
« Reply #3 on: July 18, 2016, 01:22:55 pm »

none of the 1.10 features will be in it

im trying to fix shopkeepers and voting before upgrading the others
Logged
Intangir
Global Moderator

Posts: 5134



WWW
« Reply #4 on: August 28, 2016, 03:31:41 am »

i've been upgrading test server to 1.10.2, with all of its features

i figured out the issue with teleporting/portaling and fixed it, i got voteroulette and a new voting proxy setup working with the multiple worlds(servers) and i have all of the plugins working except shopkeepers

shopkeepers is a big nightmare to maintain, the package maintainer refused to ever include several of my changes, and keeps reorganizing and drastically altering his code base. making it impossible for me to easily have both his features, and my features. and alot of his features include support for lots of weird 1.10 issues that he already fixed

im basically trying to remerge all of my modifications into his code (and in a way that he will hopefully inlcude them in his version so i don't have to maintain my own anymore)

basically that is the last holdout for full upgrades across all of the worlds.. i just want to finish this damn shopkeepers and we'll be ready.

hopefully tomorrow i can finish it
Logged
Intangir
Global Moderator

Posts: 5134



WWW
« Reply #5 on: August 29, 2016, 12:28:35 am »

finally finished converting all of my custom shopkeeper changes into the latest version. i am rolling it out on meiva first tomorrow and if it looks good im going to roll it out to every server tomorrow!

finally we will be fully updated, on 1.10.2, with no known issues
Logged
Lynnarock
Public

Alias: Lord-Ragnarock
Alias: Lynnch51
Posts: 71


Arhemadan The Holy Pterodactyl God


« Reply #6 on: August 29, 2016, 05:49:28 pm »

Awesome! Thanks for your dedication and work, intangir! When you finish, give this a listen Wink https://www.youtube.com/embed/3GwjfUFyY6M
Logged

BRAAAAAAK!
Intangir
Global Moderator

Posts: 5134



WWW
« Reply #7 on: August 29, 2016, 08:33:08 pm »

lol that video

well survey is up on 1.10

spaceport supports 1.8 through 1.10 for now

porting meiva now, then af after, lastly astral!

so far i don't see any bugs, but there were some pretty sweeping updates..

ill post more on this when i finish
Logged
Pages: [1]
  Print  
 
Jump to: